[B042] 单个化学结构文献检索

post
https://connect.zhihuiya.com/synapse/chemical/paper/search
在体验中心中试用

通过InChI Key ID搜索相关论文,包括标题、摘要、作者、机构、出版物、发表时间等信息

inchi_key_id 为必填参数,支持按发表时间排序

请求参数

此 API 接口支持的参数列表

名称类型示例描述
inchi_key_id
必填
string126213117
InChI Key ID
lang
stringCN
语言,支持:CN、EN
page
integer<int32>1
页码,从1开始,默认1
rows
integer<int32>100
每页条数,默认10,最大100
sort_order
stringdesc
按发表时间排序,排序方式,支持:desc,asc

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
page
integer<int32>1
当前页码
rows
integer<int32>10
每页条数
items
arrayPlease check the form:ChemicalPaperDetail
查询结果
doi
string10.1007/s00262-011-1007-5
DOI
title
stringEnhanced programmed death 1 (PD-1) and PD-1 ligand (PD-L1) expression in patients with actinic cheilitis and oral squamous cell carcinoma
标题
author
array[ "John Smith", "Jane Doe" ]
作者
pubmed
array[ "https://pubmed.ncbi.nlm.nih.gov/39912419" ]
PubMed
source
stringhttps://www.tandfonline.com/doi/pdf/10.1080/14756366.2025.2460053
公开来源
doc_type
stringJournal
文档类型
paper_id
string74e6849a-a4a1-3d18-badc-472c56ba7ae5
id
epub_date
string20110327
电子出版日期
institution
array[ "University of California", "Harvard Medical School" ]
机构
publication
stringCancer Immunology, Immunotherapy
出版物
abstract_text
stringProgrammed death 1 (PD-1) and its ligand PD-L1 are key immune checkpoint molecules...
摘要
published_date
string20110701
发表日期
structure_count
integer<int32>5
化合物数量
total
integer<int64>100
总量
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "page": 1,
    "rows": 10,
    "items": [
      {
        "doi": "10.1007/s00262-011-1007-5",
        "title": "Enhanced programmed death 1 (PD-1) and PD-1 ligand (PD-L1) expression in patients with actinic cheilitis and oral squamous cell carcinoma",
        "author": [
          "John Smith",
          "Jane Doe"
        ],
        "pubmed": [
          "https://pubmed.ncbi.nlm.nih.gov/39912419"
        ],
        "source": "https://www.tandfonline.com/doi/pdf/10.1080/14756366.2025.2460053",
        "doc_type": "Journal",
        "paper_id": "74e6849a-a4a1-3d18-badc-472c56ba7ae5",
        "epub_date": 20110327,
        "institution": [
          "University of California",
          "Harvard Medical School"
        ],
        "publication": "Cancer Immunology, Immunotherapy",
        "abstract_text": "Programmed death 1 (PD-1) and its ligand PD-L1 are key immune checkpoint molecules...",
        "published_date": 20110701,
        "structure_count": 5
      }
    ],
    "total": 100
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
201Created
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms